| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DProgressWdg Class Reference
Inheritance diagram for Digikam::DProgressWdg:

## Signals
void | signalProgressCanceled ()
| Fired when user press cancel button from progress manager.

## Public Member Functions
| DProgressWdg (QWidget *const parent)
void | progressCompleted ()
| Call this method to query progress manager that process is done.
void | progressScheduled (const QString &title, bool canBeCanceled, bool hasThumb)
| Call this method to start a new instance of progress notification into progress manager You can pass title string to name progress item, and set it as cancelable.
void | progressStatusChanged (const QString &status)
| Change status string in progress manager.
void | progressThumbnailChanged (const QPixmap &thumb)
| Change thumbnail in progress manager.

## Member Function Documentation

## ◆ progressScheduled()

void Digikam::DProgressWdg::progressScheduled | ( | const QString & | title,
|  | bool | canBeCanceled,
|  | bool | hasThumb
| ) |  |

In this case, signalProgressCanceled() is fired when user press cancel button from progress manager. This item can also accept a thumbnail that you can change through progresssThumbnailChanged().